# $Revision: 1.38 $, $Date: 2012/03/11 11:12:02 $
Summary:	X.org input driver for joysticks
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla joysticków
Name:		xorg-driver-input-joystick
Version:	1.6.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-joystick-%{version}.tar.bz2
# Source0-md5:	01f416753016f01e328b1098157a5266
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.9.99.2
BuildRequires:	rpmbuild(macros) >= 1.389
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.9.99.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for joysticks.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla joysticków.

%package devel
Summary:	X.org joystick input driver - properties definition
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla joysticków - definicje właściwości
Group:		Development/Libraries
# for dir
Requires:	xorg-xserver-server-devel
# doesn't require base

%description devel
X.org joystick input driver - properties definition.

%description devel -l pl.UTF-8
Sterownik wejściowy X.org dla joysticków - definicje właściwości.

%prep
%setup -q -n xf86-input-joystick-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/input/joystick_drv.so
%{_mandir}/man4/joystick.4*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg/joystick-properties.h
%{_pkgconfigdir}/xorg-joystick.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-input-joystick.spec,v $
Revision 1.38  2012/03/11 11:12:02  arekm
- up to 1.6.1

Revision 1.37  2012/03/05 06:25:52  arekm
- release 3

Revision 1.36  2011/08/27 09:00:30  arekm
- release 2

Revision 1.35  2011/04/21 15:47:25  qboosh
- updated to 1.6.0

Revision 1.34  2011/02/27 08:32:37  arekm
- release 3

Revision 1.33  2010/08/29 08:11:20  qboosh
- unexpand

Revision 1.32  2010/08/29 05:36:21  qboosh
- use requires_xorg_* macros in a way which allows to check rpm-build-macros BR first

Revision 1.31  2010/08/28 13:51:57  qboosh
- added -devel

Revision 1.30  2010/08/28 13:42:16  qboosh
- added README to doc
- updated deps

Revision 1.29  2010/08/21 07:28:14  arekm
- release 2

Revision 1.28  2010/06/04 05:39:32  arekm
- up to 1.5.0

Revision 1.27  2010/04/02 08:29:31  arekm
- release 2

Revision 1.26  2009/10/02 09:45:54  arekm
- up to 1.4.99.2

Revision 1.25  2009/10/02 08:26:58  arekm
- release 2

Revision 1.24  2009/09/11 19:19:54  arekm
- up to 1.4.99.1

Revision 1.23  2009/04/20 08:58:09  arekm
- up to 1.4.1

Revision 1.22  2009/02/25 21:49:00  arekm
- up to 1.4.0

Revision 1.21  2009/02/25 21:14:15  arekm
- release 3

Revision 1.20  2008/10/09 12:49:36  hawk
- release 2

Revision 1.19  2008/09/06 12:11:27  arekm
- up to 1.3.3

Revision 1.18  2008/07/01 16:04:40  arekm
- release 2

Revision 1.17  2008-04-28 08:19:14  arekm
- up to 1.3.2

Revision 1.16  2007-12-07 07:16:19  arekm
- up to 1.3.1

Revision 1.15  2007/10/27 17:11:53  arekm
- up to 1.3.0

Revision 1.14  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.13  2007/09/06 16:16:38  arekm
- track xserver input deps

Revision 1.12  2007/08/16 16:51:35  arekm
- up to 1.2.3

Revision 1.11  2007/07/07 23:28:27  qboosh
- updated to 1.2.2

Revision 1.10  2007/04/21 07:27:10  arekm
- up to 1.2.1

Revision 1.9  2007/04/01 10:53:01  arekm
- up to 1.2.0

Revision 1.8  2007/03/14 07:15:56  arekm
- up to 1.1.1

Revision 1.7  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.5  2006/04/10 13:34:13  qboosh
- updated to 1.1.0

Revision 1.4  2006/01/05 13:34:42  qboosh
- 1.0.0.5 (X11R7.0 release)

Revision 1.3  2005/12/06 15:36:28  qboosh
- 1.0.0.3 (X11R7.0-RC3)

Revision 1.2  2005/11/20 12:22:44  qboosh
- 1.0.0.2 (X11R7.0-RC2)

Revision 1.1  2005/10/28 22:31:39  qboosh
- new
